Web lists-archives.com

Re: getting the right and complete firmware




On Tue, Jan 30, 2018, at 5:01 AM, Anil Duggirala wrote:
> On Sun, Jan 28, 2018, at 11:46 AM, Bernd Gruber wrote:
> > Hi Anil, 
> > 
> > did you take a look at this:
> > 
> > https://www.debian.org/releases/stable/i386/ch06s04.html.en
> > 
> > Bernd
> > 
> > Anil Duggirala wrote:
> > 
> > > upon installing Debian stretch I got a notice about missing firmware
> > > (Atheros). I managed to find a package that, apperently, contained some of
> > > the missing firmware, since the list of missing firmware was diminished. I
> > > am still missing some firmware, I will find it eventually, but my question
> > > is: Can I be sure I have the correct and required firmware if I am not
> > > getting any errors from dmesg ? or upon boot? Is there any tool that will
> > > help me address these issues? thanks,
> > 
> 
> 
> Thanks a lot. That clears up my first question. However, can someone 
> tell me if they know how to get these:
> 
> 8.880552] ath10k_pci 0000:03:00.0: firmware: failed to load ath10k/pre-
> cal-pci-0000:03:00.0.bin (-2)
> [    8.880629] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/
> pre-cal-pci-0000:03:00.0.bin failed with error -2
> [    8.880649] ath10k_pci 0000:03:00.0: firmware: failed to load ath10k/
> cal-pci-0000:03:00.0.bin (-2)
> [    8.880714] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/
> cal-pci-0000:03:00.0.bin failed with error -2
> [    8.881672] ath10k_pci 0000:03:00.0: firmware: failed to load ath10k/
> QCA6174/hw3.0/firmware-5.bin (-2)
> [    8.881794] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/
> QCA6174/hw3.0/firmware-5.bin failed with error -2
> [    8.881800] ath10k_pci 0000:03:00.0: could not fetch firmware file 
> 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2
> 
> I have found these files but am not sure they will work (they are a *-6.bin).
> thanks again,
> 

Sorry. I meant, "I have found these files" here https://github.com/kvalo/ath10k-firmware/tree/master/QCA6174/hw3.0 , "but am not sure they will work".